# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.79.0"
name = "rialo-s-program"
version = "0.1.7"
authors = ["Anza Maintainers <maintainers@anza.xyz>"]
build = false
publish = ["crates-io"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Solana Program"
homepage = "https://anza.xyz/"
documentation = "https://docs.rs/rialo-s-program"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/anza-xyz/agave"
resolver = "3"

[package.metadata.docs.rs]
targets = [
    "x86_64-unknown-linux-gnu",
    "wasm32-unknown-unknown",
]
all-features = true
rustdoc-args = ["--cfg=docsrs"]

[features]
borsh = [
    "dep:borsh",
    "dep:borsh0-10",
    "dep:rialo-s-borsh",
    "rialo-hash/borsh",
    "rialo-s-instruction/borsh",
    "rialo-s-program-error/borsh",
    "rialo-s-pubkey/borsh",
    "rialo-s-stake-interface/borsh",
]
default = ["borsh"]
dev-context-only-utils = []
frozen-abi = [
    "dep:rialo-frozen-abi",
    "dep:rialo-frozen-abi-macro",
    "rialo-s-epoch-schedule/frozen-abi",
    "rialo-s-fee-calculator/frozen-abi",
    "rialo-hash/frozen-abi",
    "rialo-s-instruction/frozen-abi",
    "rialo-s-message/frozen-abi",
    "rialo-s-pubkey/frozen-abi",
    "rialo-s-rent/frozen-abi",
    "rialo-s-short-vec/frozen-abi",
    "rialo-s-stake-interface/frozen-abi",
    "rialo-s-sysvar/frozen-abi",
]

[lib]
name = "rialo_s_program"
crate-type = ["rlib"]
path = "src/lib.rs"

[[example]]
name = "rialo-s-program"
crate-type = ["cdylib"]
path = "src/lib.rs"

[[test]]
name = "test_pubkey_export"
path = "tests/test_pubkey_export.rs"

[dependencies.bincode]
version = "1.3.3"

[dependencies.blake3]
version = "1.5.5"
features = ["traits-preview"]

[dependencies.borsh]
version = "1.5.5"
features = [
    "derive",
    "unstable__schema",
]
optional = true

[dependencies.borsh0-10]
version = "0.10.3"
optional = true
package = "borsh"

[dependencies.bs58]
version = "0.5.1"
features = ["alloc"]
default-features = false

[dependencies.bytemuck]
version = "1.21.0"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.log]
version = "0.4.25"

[dependencies.memoffset]
version = "0.9"

[dependencies.num-derive]
version = "0.4"

[dependencies.num-traits]
version = "0.2"
features = ["i128"]

[dependencies.rialo-atomic-u64]
version = "^0.1.0"

[dependencies.rialo-frozen-abi]
version = "^0.1.0"
features = ["frozen-abi"]
optional = true

[dependencies.rialo-frozen-abi-macro]
version = "^0.1.0"
features = ["frozen-abi"]
optional = true

[dependencies.rialo-hash]
version = "^0.1.0"
features = [
    "bytemuck",
    "serde",
    "std",
]
default-features = false

[dependencies.rialo-s-account-info]
version = "^0.1.0"
features = ["bincode"]

[dependencies.rialo-s-big-mod-exp]
version = "^0.1.0"

[dependencies.rialo-s-bincode]
version = "^0.1.0"

[dependencies.rialo-s-blake3-hasher]
version = "^0.1.0"
features = ["blake3"]

[dependencies.rialo-s-borsh]
version = "^0.1.0"
optional = true

[dependencies.rialo-s-clock]
version = "^0.1.0"
features = [
    "serde",
    "sysvar",
]

[dependencies.rialo-s-cpi]
version = "^0.1.0"

[dependencies.rialo-s-decode-error]
version = "^0.1.0"

[dependencies.rialo-s-epoch-schedule]
version = "^0.1.0"
features = [
    "serde",
    "sysvar",
]

[dependencies.rialo-s-feature-gate-interface]
version = "^0.1.0"
features = ["bincode"]

[dependencies.rialo-s-fee-calculator]
version = "^0.1.0"
features = ["serde"]

[dependencies.rialo-s-instruction]
version = "^0.1.0"
features = [
    "bincode",
    "serde",
    "std",
]
default-features = false

[dependencies.rialo-s-instructions-sysvar]
version = "^0.1.0"

[dependencies.rialo-s-keccak-hasher]
version = "^0.1.0"
features = ["sha3"]

[dependencies.rialo-s-loader-v2-interface]
version = "^0.1.0"
features = ["bincode"]

[dependencies.rialo-s-loader-v3-interface]
version = "^0.1.0"
features = ["bincode"]

[dependencies.rialo-s-loader-v4-interface]
version = "^0.1.0"
features = ["bincode"]

[dependencies.rialo-s-message]
version = "^0.1.0"
features = [
    "bincode",
    "blake3",
]

[dependencies.rialo-s-msg]
version = "^0.1.0"

[dependencies.rialo-s-native-token]
version = "^0.1.0"

[dependencies.rialo-s-nonce]
version = "^0.1.0"
features = ["serde"]

[dependencies.rialo-s-program-entrypoint]
version = "^0.1.0"

[dependencies.rialo-s-program-error]
version = "^0.1.0"
features = ["serde"]

[dependencies.rialo-s-program-memory]
version = "^0.1.0"

[dependencies.rialo-s-program-option]
version = "^0.1.0"

[dependencies.rialo-s-program-pack]
version = "^0.1.0"

[dependencies.rialo-s-pubkey]
version = "^0.1.0"
features = [
    "bytemuck",
    "curve25519",
    "serde",
    "std",
]
default-features = false

[dependencies.rialo-s-rent]
version = "^0.1.0"
features = [
    "serde",
    "sysvar",
]
default-features = false

[dependencies.rialo-s-sdk-ids]
version = "^0.1.0"

[dependencies.rialo-s-sdk-macro]
version = "^0.1.0"

[dependencies.rialo-s-secp256k1-recover]
version = "^0.1.0"

[dependencies.rialo-s-serde-varint]
version = "^0.1.0"

[dependencies.rialo-s-serialize-utils]
version = "^0.1.0"

[dependencies.rialo-s-sha256-hasher]
version = "^0.1.0"
features = ["sha2"]

[dependencies.rialo-s-short-vec]
version = "^0.1.0"

[dependencies.rialo-s-slot-hashes]
version = "^0.1.0"
features = [
    "serde",
    "sysvar",
]

[dependencies.rialo-s-slot-history]
version = "^0.1.0"
features = [
    "serde",
    "sysvar",
]

[dependencies.rialo-s-stable-layout]
version = "^0.1.0"

[dependencies.rialo-s-stake-interface]
version = "^0.1.0"
features = ["bincode"]

[dependencies.rialo-s-system-interface]
version = "^0.1.0"
features = ["bincode"]

[dependencies.rialo-s-sysvar]
version = "^0.1.0"
features = [
    "bincode",
    "bytemuck",
]

[dependencies.rialo-s-sysvar-id]
version = "^0.1.0"

[dependencies.rialo-sanitize]
version = "^0.1.0"

[dependencies.serde]
version = "1.0.217"

[dependencies.serde_bytes]
version = "0.11.15"

[dependencies.serde_derive]
version = "1.0.217"

[dependencies.thiserror]
version = "2.0.11"

[target.'cfg(not(target_os = "solana"))'.dependencies.num-bigint]
version = "0.4.6"

[target.'cfg(not(target_os = "solana"))'.dependencies.rand]
version = "0.8.5"

[target.'cfg(not(target_os = "solana"))'.dependencies.rialo-s-example-mocks]
version = "^0.1.0"

[target.'cfg(not(target_os = "solana"))'.dev-dependencies.arbitrary]
version = "1.4.1"
features = ["derive"]

[target.'cfg(not(target_os = "solana"))'.dev-dependencies.rialo-s-logger]
version = "^0.1.0"

[target.'cfg(target_arch = "wasm32")'.dependencies.console_error_panic_hook]
version = "0.1.7"

[target.'cfg(target_arch = "wasm32")'.dependencies.console_log]
version = "0.2.2"

[target.'cfg(target_arch = "wasm32")'.dependencies.getrandom]
version = "0.2.10"
features = [
    "js",
    "wasm-bindgen",
]

[target.'cfg(target_arch = "wasm32")'.dependencies.wasm-bindgen]
version = "0.2"

[target.'cfg(target_os = "solana")'.dependencies.getrandom]
version = "0.2.10"
features = ["custom"]

[target.'cfg(target_os = "solana")'.dependencies.rialo-s-define-syscall]
version = "^0.1.0"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    'cfg(target_feature, values("static-syscalls"))',
    'cfg(target_os, values("solana"))',
    'cfg(feature, values("frozen-abi", "no-entrypoint", "custom-panic", "custom-heap"))',
]
